# NexID

## Getting started
1. Add these lines to your *pubspec.yaml* file under *dependencies*
```yaml
dependencies:
    nexid: ^1.5.3
```

2. Methods 
   1. init - init SDK with your registered account
   2. startDocumentScan - start document scan activity 
      - supported documents (0 - IC reader, 1 - Passport reader)
   3. startLiveness
      - supported liveness type ("still", "meglive", "flash") 

3. Example
```dart
final nexID = NexID();
await nexID.initSDK("your_apiKey", "your_appId");
EkycResult result = await nexID.startDocumentScan(context, 0);
```

1. *For Android release apk*, you will need to add this rule to your proguard file
```gradle
-keep public class com.megvii.** {*;}
-keep public class com.nexstream.** {*;}
```

## Native Implementation
You may checkout [README-Android.md](../../tree/flutter/README-Android.md) for Android and [README-iOS.md](../../tree/flutter/README-iOS.md)
